C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C****************************
C**     KSM_SYMM_CHANGED   **
C****************************
C
C
CD-Routine: Test symmetry changed flag - KSM_SYMM_CHANGED
C This routine is used to test the symmetry data changed flag set for
C a requested channel.
CD-end
CD-Fortran:
      SUBROUTINE KSM_SYMM_CHANGED (ICHAN, IFLAG)
CD-end
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Check value of  symmetry changed flag
C
C Author:  John W. Campbell, July 1995
C
C Arguments:
C
C
      INTEGER ICHAN
      INTEGER IFLAG
CD-Parameters:
C  ICHAN   i (R) Channel number for reset (1-16)
C  IFLAG   i (W) Return flag =1  parameter value changed
C                            =0  parameter value not changed
C                            =-1 error in channel parameter
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'ksm_data.finc'
      EXTERNAL KSM_BDAT
C
C====== FUNCTION TYPES:
C
      INTEGER NBITST
C
C====== LOCALS:
C
C
C-------------------------------------------------------------------------------
C
      IFLAG = 0
      IF (ICHAN.LT.1.OR.ICHAN.GT.16) THEN
         IFLAG = -1
         RETURN
      END IF
      IF (NBITST(CH_SYMM,ICHAN-1,1).GT.0) IFLAG = 1
      RETURN
      END
